Subject: Re: Death of the Internet - details at 11

From: [email-masked] (Noel Chiappa)
Date: Thu, 29 Jan 2004 11:29:52 -0500 (EST)

> From: John C Klensin <[email-masked]>

    > Of course, multiple A records works, is out there, and have worked for
    > years. But they worked better before we introduced routers (i.e., when
    > the hosts with multiple A records really had interfaces on different
    > networks). Today, it effectively implies having multiple addresses on
    > an interface and multiple "local" address prefixes running around on
    > the same physical LAN segment.
    > ...
    > Perhaps more important, as Noel points out, it doesn't scale very well,
    > at least in terms of the routing fabric.

Sorry? What I said doesn't work for the routing, in terms of scaling to many
small sites, is for a multi-homed site to have a single address prefix, which
is then globally advertised. (That's the most common tack for multi-homing
support in IPv4 to date, which is what you were talking about.)

Having multiple addresses for a host (which has only a single physical
interface, but which is in a site which is multi-homed) is in fact the only
approach whose effects on the routing does scale (within anything like the
current routing architecture, i.e. packets which include only source and
destination addresses, as opposed to a source route).

    > as I tried to point out, address preservation policies have had
    > trickle-down effects that make it impractical for small enterprises.

It is an interesting point (as Daniel Senie also just pointed out) that
multiple addresses -> faster consumption of the address space.

However, since to avoid a size explosion in the routing tables, those
multiple addresses do have to be connectivity-dependent (political
translation - "provider-dependent"), I don't see how address preservation
policies have made this approach "impractical for small enterprises". My
understanding of current allocation policies is that ISP's can get enough
addresses to cover their customers. If company X is a customer of both ISP P
and ISP Q, I would assume that both P and Q don't have a problem getting
enough space to cover their customers - including X.

(Or were you speaking of the "one address block, globally advertized"?)

	Noel

---

From: John C Klensin <[email-masked]>
Date: Thu, 29 Jan 2004 13:56:25 -0500

Noel,

(1) Sorry to have misconstrued your comments.

(2) Yes, I was trying to refer to situations in which each of 
the hosts on a multihomed LAN has exactly one address, largely 
because of bad experiences with client machines running 
widely-used junk software trying to handle multiple addresses 
(in IPv4) on the same interface.  I know of only two ways to 
accomplish that "exactly one address on local host" criterion: 
(i) use of NATs (even if only on a one-one basis) to make 
different external addresses appear as a single set of addresses 
on the LAN and (ii) use of globally-routed, 
provider-independent, addresses for the LAN.

I am now going to drop out of this discussion since I don't seem 
to be in sufficiently good shape this week to make comments 
sufficiently precise that I don't just create more confusion.

     john

--On Thursday, 29 January, 2004 11:29 -0500 Noel Chiappa 
<[email-masked]> wrote:

>     > Of course, multiple A records works, is out there, and
> have worked for     > years. But they worked better before we
> introduced routers (i.e., when     > the hosts with multiple A
> records really had interfaces on different     > networks).
> Today, it effectively implies having multiple addresses on
> > an interface and multiple "local" address prefixes running
> around on     > the same physical LAN segment.
>     > ...
>     > Perhaps more important, as Noel points out, it doesn't
> scale very well,     > at least in terms of the routing fabric.
>
> Sorry? What I said doesn't work for the routing, in terms of
> scaling to many small sites, is for a multi-homed site to have
> a single address prefix, which is then globally advertised.
> (That's the most common tack for multi-homing support in IPv4
> to date, which is what you were talking about.)
>
> Having multiple addresses for a host (which has only a single
> physical interface, but which is in a site which is
> multi-homed) is in fact the only approach whose effects on the
> routing does scale (within anything like the current routing
> architecture, i.e. packets which include only source and
>     > as I tried to point out, address preservation policies
> have had     > trickle-down effects that make it impractical
> for small enterprises.
>
> It is an interesting point (as Daniel Senie also just pointed
> out) that multiple addresses -> faster consumption of the
> address space.
>
> However, since to avoid a size explosion in the routing
> tables, those multiple addresses do have to be
> connectivity-dependent (political translation -
> "provider-dependent"), I don't see how address preservation
> policies have made this approach "impractical for small
> enterprises". My understanding of current allocation policies
> is that ISP's can get enough addresses to cover their
> customers. If company X is a customer of both ISP P and ISP Q,
> I would assume that both P and Q don't have a problem getting

---

From: "Randall R. Stewart (home)" <[email-masked]>
Date: Fri, 30 Jan 2004 06:16:59 -0600

Noel:

Comments in line :->

>destination addresses, as opposed to a source route).

Or you can use SCTP and have seperate interfaces going to
seperate ISP's and have the transport use them both....

That is how we designed SCTP.....

>enough space to cover their customers - including X.

Exactly... When I buy two seperate DSL's from two seperate
ISP's the two ISP's hand me an IP address .. they are seperate and
don't break or violate any current address allocation policy.
I don't ask SBC to advertise my speakeasy address... or vice-versa..
instead I let SCTP handle it all...

R

-- 
Randall R. Stewart
815-477-2127 (office)
815-342-5222 (cell phone)